Get Token
curl --request GET \
--url https://api.convexity.tools/v1/tokens/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token retrieved successfully",
"data": {
"id": "019edea4-e84d-722d-94ec-cb0fd331693d",
"projectId": "6a171d8571dd1e1496b3f290",
"businessId": "12345678",
"ticker": "CXVT",
"name": "Convexity token",
"price": "2",
"assetClass": "MONEY_MARKET",
"tokenType": "ASSET",
"status": "ACTIVE",
"createdAt": "2026-06-19T06:50:09.869Z",
"updatedAt": "2026-06-19T06:50:56.301Z",
"chains": [
{
"id": "019edea4-e851-73dd-a20d-90be95f646e2",
"chain": "BASE",
"tokenAdmin": "0xd4449db2bc50a0c2b9da5780161308e644aec13d",
"decimals": 18,
"status": "ACTIVE",
"deploymentRef": "deploy_505930f3472b5c15d7d30f6aadb3418e",
"contractAddress": "0x19ca4bc3c6e39e266a35ade95fbba4e5ceb8a95c"
}
]
}
}Tokenization
Get Token
Fetches a single token by id, including its per-chain deployment details.
GET
/
v1
/
tokens
/
{id}
Get Token
curl --request GET \
--url https://api.convexity.tools/v1/tokens/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Token retrieved successfully",
"data": {
"id": "019edea4-e84d-722d-94ec-cb0fd331693d",
"projectId": "6a171d8571dd1e1496b3f290",
"businessId": "12345678",
"ticker": "CXVT",
"name": "Convexity token",
"price": "2",
"assetClass": "MONEY_MARKET",
"tokenType": "ASSET",
"status": "ACTIVE",
"createdAt": "2026-06-19T06:50:09.869Z",
"updatedAt": "2026-06-19T06:50:56.301Z",
"chains": [
{
"id": "019edea4-e851-73dd-a20d-90be95f646e2",
"chain": "BASE",
"tokenAdmin": "0xd4449db2bc50a0c2b9da5780161308e644aec13d",
"decimals": 18,
"status": "ACTIVE",
"deploymentRef": "deploy_505930f3472b5c15d7d30f6aadb3418e",
"contractAddress": "0x19ca4bc3c6e39e266a35ade95fbba4e5ceb8a95c"
}
]
}
}⌘I
